@import "/static/global/theme.css";

* {
	margin: 0;
	font-family: sans-serif;
}

body {
	background: url('/static/bg.webp') center no-repeat;
	background-size: cover;
	color: black;
}

main {
	height: 100vh;
	width: 100%;
	z-index: -4;
	backdrop-filter: blur(6px);
	display: flex;
	justify-content: center;
	flex-direction: column;
}

.card {
		width: 80%;
		height: 90%;
		max-height: 600px;
		min-width: 300px; max-width: 800px;
		margin: auto;
		overflow: hidden;
}

.card-border, .card-border::before {
	background: conic-gradient(from var(--angle), var(--primary-color) 0deg, var(--tertiary-color) 45deg, var(--accent-color) 270deg);
	animation: gradient 10s linear 0s infinite;
}

.card-border::before {
	border-radius: 25px;
	filter: blur(8px);
	content: '';
	position: absolute;
	min-width: 300px;
	width: 100%;
	max-width: 800px;
	height: 100%;
	max-height: 600px;
	z-index: -1;

}
.card-border {
	perspective: 1000px; /* Remove this if you don't want the 3D effect */
	position: absolute;
	min-width: 300px;
	width: 80%;
	max-width: 800px;
	height: 90%;
	max-height: 600px;
	border-radius: 25px;
	display: flex;
	justify-content: center;
	flex-direction: column;
}
.card:has(.pto:focus-within) .card-inner, .card:has(.card-back:focus-within) .card-inner{
  transform: rotateY(180deg);
}

.card-front, .card-back {
  position: absolute;
  width: 100%;
  min-height: 100%;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
}
.card-front {
	-webkit-transform:rotateY(0deg);
	transform:rotateY(0deg);
}
.card-back {
	  transform: rotateY(180deg);
	  -webkit-transform: rotateY(180deg);
}
.card-front .inner {
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	flex-direction: column;
}
.card-inner {
	margin: auto;
	height: calc(100% - 5px);
	min-width: 295px;
	width: calc(100% - 5px);
	max-width: 795px;
	background-color: var(--secondary-color);
	border-radius: 23px;
	transition: transform 0.8s;
	transform-style: preserve-3d;
}

.my-info {
	width: 100%;
	height: auto;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: auto;
}
.pfp {
	height: 200px;
	width: 200px;
	border-radius: 100px;
	margin: 20px auto;
	border: 2px solid var(--accent-color);
}

.info-text {
	width: fit-content;
	margin: 0 auto;
}
.name-pr {
	display: flex;
	gap: 10px;
	margin-bottom: 15px;
}
.name-pr p, .name-pr h1 {
	height: auto;
	width: auto;
}
.name-pr h1 {
	line-height:  0.9;
}
.name-pr p {
	margin: auto 0 0 0;
	line-height: 1;
}

.my-info h2 {
	font-size: 1.25em;
	margin-top: 10px;
}
.likes ul {
	list-style: likes;
}
.dislikes ul {
	list-style: dislikes;
}
.likes {
	width: 45%;
}
.dislikes {
	width: 45%;
}
.about {
	margin: 20px auto;
	width: 90%;
	height: auto;
	display: flex;
	flex-direction: column;
	gap: 15px;
}
.ldl {
	width: 100%;
	margin: 0 auto;
	display: flex;
	gap: 10px;
}
.about-me {
	width: 90%;
	margin: auto;
	flex-grow: 1;
	h2 {
		margin-bottom: 15px;
	}
	p {
		white-space: break-spaces;
		margin-left: 10px;
		line-height: 1.3;
	}
}
h2 {
	text-align: center;
	margin-bottom: 15px;
}
.socials {
	list-style: none;
	display: flex;
	gap: 15px;
	font-size: 1.5em;
	width: fit-content;
	margin: auto 0;
	justify-content: center;
}
.more {
	display: flex;
	justify-content: space-between;

}
.socials li {
	i {color: var(--accent-color);}
	width: 1.5em;
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: center;
	&:hover {
		i{color: #fff;}
	}

}
.pto {
	margin: auto 0;
	text-decoration: none;
	width: 50%;
	gap: 10px;
	display: none;
	* {color: black; align-self: center;}
	i  {
		font-size: 1.25em;
	}
}
.pto:hover {
	color: white;
	* {color: white;}
}
.apps {
	display: flex;
	flex-direction: column;
	justify-content: start;
	height: 100%;
	p {
		text-align: center;
		margin: 0 auto;	
		height: auto;
	}
	ul {
		list-style: none;
		width: 100%;
		display: flex;
		justify-content: start;
		margin: 20px 0;
	}
	li {
		width: 100px; height: 100px;
		border: 1px solid black;
		border-radius: 10px;
		a, a:visited {width:100%; height: 100%; display: flex; flex-direction: column; justify-content: center; color: var(--text-color);text-decoration: none;}
		
		i {width:fit-content;font-size: 3em; margin: 0 auto; display: block}
		p { margin: 5px 0; }
	}
}

@media only screen and (min-width: 600px) and (max-width: 899px ){
	.my-info { flex-direction: row; gap: 40px;}
	.info-text { margin: auto 0; }
	.pfp { margin: 20px 0; }
}	
@media only screen and (min-width: 900px) {
.card-front, .card-back {
	height: 100%;
}
.card, .card-border::before, .card-border {
	width: 800px;
	max-height: 600px;
}
.card-inner {
	width: 795px;
	height: 595px;
	overflow: visible;
}
.card-front .inner {
	flex-direction: row;
}
.my-info {
	width: 40%;
	height: 100%;
}
.pfp {
	height: 250px;
	width: 250px;
	border-radius:125px;
	margin: 20px auto;
}
.about {
	width: 55%;
	gap: 0px;
}
.ldl {
	gap: 20px;
}
.likes {
	width: 35%;
}
.dislikes {
	width: 55%;
}
 .about-me {
	margin: 20px auto 0px 0px;
 }
.pto {
		display: flex; 	
}
.card-back {
	height: 100%;
}
}

@keyframes gradient {
	to {
		--angle: 360deg;
	}
}
@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}
@counter-style likes {
	system: cyclic;
	symbols: '💜';
	suffix: " ";
}
@counter-style dislikes {
	system: cyclic;
	symbols: '💢';
	suffix: " ";
}
